%define upstream_name MooX-ClassStash
%define upstream_version 0.006

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Extra class information for Moo
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Moo)
BuildRequires:	perl(Package::Stash)

BuildArch:	noarch

%description
Extra class information for Moo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1495695
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-4.mga7
+ Revision: 1269761
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1030715
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 972141
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 0.6.0-1.mga6
+ Revision: 896197
- new release
- new release
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 744010
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-3.mga5
+ Revision: 685494
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 530867
- Mageia 4 Mass Rebuild

* Mon Jul 29 2013 sander85 <sander85> 0.5.0-1.mga4
+ Revision: 460570
- imported package perl-MooX-ClassStash

